Bug 222656 - graphics/py-scikit-image: upgrade to v0.13.1
Summary: graphics/py-scikit-image: upgrade to v0.13.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-28 04:39 UTC by Eric Camachat
Modified: 2017-09-29 18:14 UTC (History)
2 users (show)

See Also:


Attachments
upgrade to v0.13.1 (1.67 KB, patch)
2017-09-28 04:39 UTC, Eric Camachat
eric: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Camachat 2017-09-28 04:39:22 UTC
Created attachment 186773 [details]
upgrade to v0.13.1
Comment 1 Gleb Popov freebsd_committer 2017-09-28 04:49:45 UTC
This patch unbroke the build for me:

Index: files/patch-skimage_measure___ccomp.pxd
===================================================================
--- files/patch-skimage_measure___ccomp.pxd     (nonexistent)
+++ files/patch-skimage_measure___ccomp.pxd     (working copy)
@@ -0,0 +1,10 @@
+--- skimage/measure/_ccomp.pxd.orig     2017-09-22 19:33:50 UTC
++++ skimage/measure/_ccomp.pxd
+@@ -1,7 +1,6 @@
+ """Export fast union find in Cython"""
+ cimport numpy as cnp
+ 
+-DTYPE = cnp.intp
+ ctypedef cnp.intp_t DTYPE_t
+ 
+ cdef DTYPE_t find_root(DTYPE_t *forest, DTYPE_t n) nogil
\ No newline at end of file
Comment 2 Gleb Popov freebsd_committer 2017-09-28 04:51:06 UTC
Ah, I see it is already incorporated into the update.
Comment 3 commit-hook freebsd_committer 2017-09-29 18:14:16 UTC
A commit references this bug:

Author: swills
Date: Fri Sep 29 18:13:21 UTC 2017
New revision: 450928
URL: https://svnweb.freebsd.org/changeset/ports/450928

Log:
  graphics/py-scikit-image: upgrade to v0.13.1

  PR:		222656
  Submitted by:	Eric Camachat <eric@camachat.org> (maintainer)

Changes:
  head/graphics/py-scikit-image/Makefile
  head/graphics/py-scikit-image/distinfo
  head/graphics/py-scikit-image/pkg-descr
Comment 4 Steve Wills freebsd_committer 2017-09-29 18:14:30 UTC
Committed, thanks!